ThriftClientState (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Class ThriftClientState

- java.lang.Object
- - org.apache.cassandra.service.ClientState
  - - org.apache.cassandra.thrift.ThriftClientState

-     public class ThriftClientState
      extends ClientState

  ClientState used by thrift that also provide a QueryState. Thrift is intrinsically synchronous so there could be only one query per client at a given time. So ClientState and QueryState can be merge into the same object.

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.service.ClientState

      `DEFAULT_CQL_VERSION, isInternal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThriftClientState(java.net.InetSocketAddress remoteAddress)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryState` | `getQueryState()`
    `java.lang.String` | `getSchedulingValue()`

    - ### Methods inherited from class org.apache.cassandra.service.ClientState

      `ensureHasPermission, ensureHasPermission, ensureIsSuper, ensureNotAnonymous, forExternalCalls, forInternalCalls, getCQLQueryHandler, getCQLSupportedVersion, getKeyspace, getRawKeyspace, getRemoteAddress, getTimestamp, getTimestampForPaxos, getUser, hasAllKeyspacesAccess, hasColumnFamilyAccess, hasColumnFamilyAccess, hasKeyspaceAccess, isNoCompactMode, login, setKeyspace, setNoCompactMode, validateLogin`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThriftClientState

          public ThriftClientState(java.net.InetSocketAddress remoteAddress)

  - ### Method Detail

    - #### getQueryState

          public QueryState getQueryState()

    - #### getSchedulingValue

          public java.lang.String getSchedulingValue()

Copyright © 2018 The Apache Software Foundation